Bug 13708 - RFE: solving samba /etc mess
RFE: solving samba /etc mess
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-11 08:34 EDT by giulioo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-21 04:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-07-11 08:34:25 EDT
Since 7.0 will break a lot of things for FHS, I suggest you break one more 
thing and consider creating /etc/samba directory.

Right now we have in /etc: smb.conf, lmhost, codepages/, smbusers,  
MACHINE.SID.

If you use encrypted password there is the smbpasswd file.

If you use the printer downloading feature for win9x machines you have to 
decide where to put the printers.def file.

Then, if someone need to use the include directive in smb.conf, there are 
other files.

Then,  with the next samba versions, very likely we'll have other 
maps/files to handle the new nt stuff.

I think there's no reason to clutter /etc with so many files from one 
package.

Once I talked about this on the samba list, and the only problem was "all 
are used to /etc/smb.conf, so you'll break things".


I suggest
  --libdir=/etc/samba   --with-privatedir=/etc/samba/private
or just 
  --libdir=/etc/samba   --with-privatedir=/etc/samba

If you do this you'll have to adjust the default smb.conf file accordingly 
(all /etc examples to /etc/samba):

=============
;  smb passwd file = /etc/smbpasswd
;  username map = /etc/smbusers
 
# Using the following line enables you to customise your configuration
# on a per machine basis. The %m gets replaced with the netbios name
# of the machine that is connecting
;   include = /etc/smb.conf.%m
=============
Comment 1 Henri Schlereth 2000-07-12 20:59:39 EDT
Not too bad of an idea.
Comment 2 Bill Nottingham 2000-07-15 14:35:35 EDT
This has been done as of samba-2.0.7-16. Thanks for the suggestion!
Comment 3 giulioo 2000-07-21 04:18:30 EDT
I installed beta4 samba on beta3.
Thanks for the /etc -> /etc/samba!

There are a few remaining problems I had not foreseen:

1) init script exits if it does not find /etc/smb.conf
# Check that smb.conf exists.
[ -f /etc/smb.conf ] || exit 0

2) Maybe you should print a warning in postun to tell about /etc -> /etc/samba 
switch, ie.: tell users to consider copying /etc/smb.conf.rpmsave 
to /etc/smb.conf after having checked it for /etc -> /etc/samba problems 
(smbpasswd = /etc/smbpasswd ..).


Comment 4 Bill Nottingham 2000-07-21 14:21:15 EDT
Fixed in -17; we'll document the switch elsewhere (release notes, most
likely...)

Note You need to log in before you can comment on or make changes to this bug.